Skip to content

getQuote

READ

Get quote.

POST /api/v1/sales/getQuote
curl -X POST '<your-host>/api/v1/sales/getQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteId": "string"
  }'
Response
{
  "assignee": "string",
  "companyId": "string",
  "completedDate": "string",
  "completedLines": 0,
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customerContactId": "string",
  "customerEngineeringContactId": "string",
  "customerId": "string",
  "customerLocationId": "string",
  "customerReference": "string",
  "customFields": "…",
  "digitalQuoteAcceptedBy": "string",
  "digitalQuoteAcceptedByEmail": "string",
  "digitalQuoteRejectedBy": "string",
  "digitalQuoteRejectedByEmail": "string",
  "dueDate": "string",
  "estimatorId": "string",
  "exchangeRate": 0,
  "exchangeRateUpdatedAt": "string",
  "expirationDate": "string",
  "externalLinkId": "string",
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "itemType": "Part",
  "lines": 0,
  "locationId": "string",
  "locationName": "string",
  "opportunityId": "string",
  "quoteId": "string",
  "revisionId": 0,
  "salesPersonId": "string",
  "shippingCost": 0,
  "status": "Cancelled",
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteId": {
      "type": "string"
    }
  },
  "required": [
    "quoteId"
  ]
}